blob: 2c029afe07eb66f582621c4722ba23130fa674a1 [file] [log] [blame]
DEFINED_PHASES=compile configure install postinst postrm prepare setup test
DEPEND=~app-editors/vim-core-7.4.769 >=app-eselect/eselect-vi-1.1 >=sys-libs/ncurses-5.2-r2 x11-libs/libXext x11-libs/libXt acl? ( kernel_linux? ( sys-apps/acl ) ) !aqua? ( gtk? ( >=x11-libs/gtk+-2.6:2 x11-libs/libXft gnome? ( >=gnome-base/libgnomeui-2.6 ) ) !gtk? ( motif? ( >=x11-libs/motif-2.3:0 ) !motif? ( neXt? ( x11-libs/neXtaw ) !neXt? ( x11-libs/libXaw ) ) ) ) cscope? ( dev-util/cscope ) lua? ( luajit? ( dev-lang/luajit:2= ) !luajit? ( dev-lang/lua:0[deprecated] ) ) nls? ( virtual/libintl ) perl? ( dev-lang/perl:= ) python? ( python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7[threads] ) python_targets_python3_3? ( >=dev-lang/python-3.3.2-r2:3.3[threads] ) python_targets_python3_4? ( dev-lang/python:3.4[threads] ) >=dev-lang/python-exec-2:=[python_targets_python2_7(-)?,python_targets_python3_3(-)?,python_targets_python3_4(-)?,-python_single_target_python2_7(-),-python_single_target_python3_3(-),-python_single_target_python3_4(-)] ) racket? ( dev-scheme/racket ) ruby? ( || ( dev-lang/ruby:2.2 dev-lang/ruby:2.1 dev-lang/ruby:2.0 ) ) selinux? ( sys-libs/libselinux ) session? ( x11-libs/libSM ) tcl? ( dev-lang/tcl:0= ) dev-util/ctags sys-devel/autoconf virtual/pkgconfig nls? ( sys-devel/gettext )
DESCRIPTION=GUI version of the Vim text editor
EAPI=5
HOMEPAGE=http://www.vim.org/
IUSE=acl aqua cscope debug gnome gtk lua luajit motif neXt netbeans nls perl python racket ruby selinux session tcl python_targets_python2_7 python_targets_python3_3 python_targets_python3_4
KEYWORDS=alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris
LICENSE=vim
RDEPEND=~app-editors/vim-core-7.4.769 >=app-eselect/eselect-vi-1.1 >=sys-libs/ncurses-5.2-r2 x11-libs/libXext x11-libs/libXt acl? ( kernel_linux? ( sys-apps/acl ) ) !aqua? ( gtk? ( >=x11-libs/gtk+-2.6:2 x11-libs/libXft gnome? ( >=gnome-base/libgnomeui-2.6 ) ) !gtk? ( motif? ( >=x11-libs/motif-2.3:0 ) !motif? ( neXt? ( x11-libs/neXtaw ) !neXt? ( x11-libs/libXaw ) ) ) ) cscope? ( dev-util/cscope ) lua? ( luajit? ( dev-lang/luajit:2= ) !luajit? ( dev-lang/lua:0[deprecated] ) ) nls? ( virtual/libintl ) perl? ( dev-lang/perl:= ) python? ( python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7[threads] ) python_targets_python3_3? ( >=dev-lang/python-3.3.2-r2:3.3[threads] ) python_targets_python3_4? ( dev-lang/python:3.4[threads] ) >=dev-lang/python-exec-2:=[python_targets_python2_7(-)?,python_targets_python3_3(-)?,python_targets_python3_4(-)?,-python_single_target_python2_7(-),-python_single_target_python3_3(-),-python_single_target_python3_4(-)] ) racket? ( dev-scheme/racket ) ruby? ( || ( dev-lang/ruby:2.2 dev-lang/ruby:2.1 dev-lang/ruby:2.0 ) ) selinux? ( sys-libs/libselinux ) session? ( x11-libs/libSM ) tcl? ( dev-lang/tcl:0= )
REQUIRED_USE=luajit? ( lua ) python? ( || ( python_targets_python2_7 python_targets_python3_3 python_targets_python3_4 ) ?? ( python_targets_python2_7 ) ?? ( python_targets_python3_3 python_targets_python3_4 ) )
SLOT=0
SRC_URI=https://github.com/vim/vim/archive/v7.4.769.tar.gz -> vim-7.4.769.tar.gz https://dev.gentoo.org/~radhermit/vim/vim-7.4.542-gentoo-patches.tar.bz2
_eclasses_=bash-completion-r1 acf715fa09463f043fbfdc1640f3fb85 eutils b83a2420b796f7c6eff682679d08fe25 fdo-mime 92d07846ea8ea54172f8c0112a47ae3d flag-o-matic 8632fcd33a047954f007dee9a137bdcc multibuild 742139c87a9fa3766f0c2b155e5522bf multilib 165fc17c38d1b11dac2008280dab6e80 prefix 99dcca42e6528d8fe3c214bf5731aaf2 python-r1 0f6937650a475d673baa5d0c8c0b37b3 python-utils-r1 1797277ea0e7cee5c7de7ce74cf8acd8 toolchain-funcs 6198c04daba0e1307bd844df7d37f423 versionator 99ae9d758cbe7cfed19170e7d48f5a9c vim-doc 1b0813c9dadf2431c96854a8d46f5eaf
_md5_=3f7ea097772b0568c10854ea643df973